Package uk.ac.starlink.topcat

## Class TopcatTapTableLoadDialog

- java.lang.Object
- - uk.ac.starlink.table.gui.AbstractTableLoadDialog
  - - uk.ac.starlink.vo.TapTableLoadDialog
    - - uk.ac.starlink.topcat.TopcatTapTableLoadDialog

- All Implemented Interfaces:
    `uk.ac.starlink.table.gui.TableLoadDialog`, `uk.ac.starlink.vo.DalLoader`

      public class TopcatTapTableLoadDialog
      extends uk.ac.starlink.vo.TapTableLoadDialog

  TapTableLoadDialog subclass customised for use with TOPCAT.
  Since:
    18 Jan 2011
  Author:
    Mark Taylor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class uk.ac.starlink.vo.TapTableLoadDialog

      `uk.ac.starlink.vo.TapTableLoadDialog.TapRunMode`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TopcatTapTableLoadDialog()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `acceptResourceIdList​(java.lang.String[] ivoids, java.lang.String msg)` |
    `java.awt.Component` | `createQueryComponent()` |
    `protected uk.ac.starlink.table.TableSequence` | `createTableSequence​(uk.ac.starlink.table.StarTableFactory tfact, uk.ac.starlink.vo.UwsJob tapJob, uk.ac.starlink.table.DescribedValue[] tapMetadata)` |
    `protected uk.ac.starlink.vo.TapQueryPanel` | `createTapQueryPanel()` |
    `protected uk.ac.starlink.table.StarTable` | `getUploadTable​(java.lang.String upLabel)` |

    - ### Methods inherited from class uk.ac.starlink.table.gui.AbstractTableLoadDialog

      `asIOException, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isAvailable, isComponentShowing, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

    - ### Methods inherited from interface uk.ac.starlink.vo.DalLoader

      `getMenus, setMenus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class uk.ac.starlink.vo.TapTableLoadDialog

      `addRunningQuery, configure, createRunModes, createTableLoader, getContentCoding, getEndpointSet, getRegistryPanel, getReloadAction, isReady, main, setContentCoding, setMetaPolicy, setPreferredOutputFormat, setServiceFinder, setVOTableWriter`

- - ### Constructor Detail

    - #### TopcatTapTableLoadDialog

          public TopcatTapTableLoadDialog()

      Constructor.

  - ### Method Detail

    - #### createQueryComponent

          public java.awt.Component createQueryComponent()

      Overrides:
        `createQueryComponent` in class `uk.ac.starlink.vo.TapTableLoadDialog`

    - #### acceptResourceIdList

          public boolean acceptResourceIdList​(java.lang.String[] ivoids,
                                              java.lang.String msg)

      Specified by:
        `acceptResourceIdList` in interface `uk.ac.starlink.vo.DalLoader`
      Overrides:
        `acceptResourceIdList` in class `uk.ac.starlink.vo.TapTableLoadDialog`

    - #### getUploadTable

          protected uk.ac.starlink.table.StarTable getUploadTable​(java.lang.String upLabel)

      Overrides:
        `getUploadTable` in class `uk.ac.starlink.vo.TapTableLoadDialog`

    - #### createTableSequence

          protected uk.ac.starlink.table.TableSequence createTableSequence​(uk.ac.starlink.table.StarTableFactory tfact,
                                                                           uk.ac.starlink.vo.UwsJob tapJob,
                                                                           uk.ac.starlink.table.DescribedValue[] tapMetadata)
                                                                    throws java.io.IOException

      Overrides:
        `createTableSequence` in class `uk.ac.starlink.vo.TapTableLoadDialog`
      Throws:
        `java.io.IOException`

    - #### createTapQueryPanel

          protected uk.ac.starlink.vo.TapQueryPanel createTapQueryPanel()

      Overrides:
        `createTapQueryPanel` in class `uk.ac.starlink.vo.TapTableLoadDialog`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.